#!/usr/bin/python

from array import *
from sys import exit, argv

file = open(argv[1], 'rb')
content = file.read()
file.seek(0)
data = array('B')
data.fromfile(file, len(content))

off  = 18 # Header size
off += data[0]
off += data[4] << 8
off += data[3]

cols  = data[6] << 8
cols += data[5]

# Output the palette
for i in range(cols):
    index = off + i * 3
    print 'db %i,%i,%i' % (data[index + 2], data[index + 1], data[index])

# Pad the palette
for i in range(256 - cols):
    print 'db 0,0,0'

